# Copyright (C) 2007, Put your name and <email@...> here !! 
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

import os
import logging
from gettext import gettext as _
import gtk

from sugar.activity import activity

class HelloKidsActivity(activity.Activity):
    def __init__(self, handle):
        activity.Activity.__init__(self, handle)
        logging.debug('Starting the Hello-Kids Activity')
        self.set_title(_('Hello Kids Activity'))

        button = gtk.Button('Hello Kids!!!')
        button.connect('clicked', self._print_message)
        button.show()

        # CANVAS
        self.set_canvas(button)

        # TOOLBAR
        toolbox = activity.ActivityToolbox(self)
        self.set_toolbox(toolbox)
        self.show_all()

        # Dirty hide, we use this code to hide the 'share' and 'keep' 
        # buttons from the toolbar, we don't need it for now...
        toolbar = toolbox.get_activity_toolbar()
        toolbar.share.hide()
        toolbar.keep.hide()

    def _print_message(self, widget):
        print "Hello Kids !!!"
